Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hyperic.hq.measurement.data
Enum TopNConfigurationProperties

    java.lang.Object
      java.lang.Enum<TopNConfigurationProperties>
          org.hyperic.hq.measurement.data.TopNConfigurationProperties

All Implemented Interfaces:
  Serializable, Comparable<TopNConfigurationProperties>

    public enum TopNConfigurationProperties

extends Enum<TopNConfigurationProperties>

Enum Constant Summary
`ENABLE_TOPN_COLLECTION`
`TOPN_COLLECTION_INTERVAL_IN_MINUTES`
`TOPN_NUMBER_OF_PROCESSES`

Method Summary
`org.hyperic.util.config.ConfigOption` | `getConfigOption()`
`String` | `getName()`
`static TopNConfigurationProperties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TopNConfigurationProperties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ENABLE_TOPN_COLLECTION

    public static final TopNConfigurationProperties ENABLE_TOPN_COLLECTION

### TOPN_COLLECTION_INTERVAL_IN_MINUTES

    public static final TopNConfigurationProperties TOPN_COLLECTION_INTERVAL_IN_MINUTES

### TOPN_NUMBER_OF_PROCESSES

    public static final TopNConfigurationProperties TOPN_NUMBER_OF_PROCESSES

Method Detail

### values

    public static TopNConfigurationProperties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TopNConfigurationProperties c : TopNConfigurationProperties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TopNConfigurationProperties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getName

    public String getName()

### getConfigOption

    public org.hyperic.util.config.ConfigOption getConfigOption()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.